Index: /pkipplib/trunk/notifiers/samplenotifier
===================================================================
--- /pkipplib/trunk/notifiers/samplenotifier (revision 3437)
+++ /pkipplib/trunk/notifiers/samplenotifier (revision 3476)
@@ -4,5 +4,5 @@
 # pkipplib : IPP and CUPS support for Python
 #
-# (c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: /pkipplib/trunk/tests/test.py
===================================================================
--- /pkipplib/trunk/tests/test.py (revision 3437)
+++ /pkipplib/trunk/tests/test.py (revision 3476)
@@ -4,5 +4,5 @@
 # pkipplib : IPP and CUPS support for Python
 #
-# (c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: /pkipplib/trunk/tests/printjob.py
===================================================================
--- /pkipplib/trunk/tests/printjob.py (revision 3437)
+++ /pkipplib/trunk/tests/printjob.py (revision 3476)
@@ -4,5 +4,5 @@
 # pkipplib : IPP and CUPS support for Python
 #
-# (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: /pkipplib/trunk/setup.py
===================================================================
--- /pkipplib/trunk/setup.py (revision 3437)
+++ /pkipplib/trunk/setup.py (revision 3476)
@@ -4,5 +4,5 @@
 # pkipplib : IPP and CUPS support for Python
 #
-# (c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: /pkipplib/trunk/bin/pksubscribe
===================================================================
--- /pkipplib/trunk/bin/pksubscribe (revision 3437)
+++ /pkipplib/trunk/bin/pksubscribe (revision 3476)
@@ -4,5 +4,5 @@
 # pkipplib : IPP and CUPS support for Python
 #
-# (c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: /pkipplib/trunk/pkipplib/pkipplib.py
===================================================================
--- /pkipplib/trunk/pkipplib/pkipplib.py (revision 3468)
+++ /pkipplib/trunk/pkipplib/pkipplib.py (revision 3476)
@@ -4,5 +4,5 @@
 # pkipplib : IPP and CUPS support for Python
 #
-# (c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: /pkipplib/trunk/pkipplib/__init__.py
===================================================================
--- /pkipplib/trunk/pkipplib/__init__.py (revision 3437)
+++ /pkipplib/trunk/pkipplib/__init__.py (revision 3476)
@@ -3,5 +3,5 @@
 # pkipplib : IPP and CUPS support for Python
 #
-# (c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: /pkipplib/trunk/pkipplib/version.py
===================================================================
--- /pkipplib/trunk/pkipplib/version.py (revision 3437)
+++ /pkipplib/trunk/pkipplib/version.py (revision 3476)
@@ -3,5 +3,5 @@
 # pkipplib : IPP and CUPS support for Python
 #
-# (c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -26,5 +26,5 @@
 __author__ = "Jerome Alet - alet@librelogiciel.com"
 
-__years__ = "2003, 2004, 2005, 2006, 2007, 2008"
+__years__ = "2003-2009"
 
 __gplblurb__ = """This program is free software: you can redistribute it and/or modify
Index: /pkipplib/trunk/clean.sh
===================================================================
--- /pkipplib/trunk/clean.sh (revision 3467)
+++ /pkipplib/trunk/clean.sh (revision 3476)
@@ -3,5 +3,5 @@
 # pkipplib : IPP support for Python
 #
-# (c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: /pkipplib/trunk/README
===================================================================
--- /pkipplib/trunk/README (revision 3437)
+++ /pkipplib/trunk/README (revision 3476)
@@ -1,7 +1,7 @@
-ypkipplib : IPP and CUPS support for Python
+pkipplib : IPP and CUPS support for Python
 
 $Id$
 
-# (c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by