Index: pykota/trunk/pykota/progressbar.py
===================================================================
--- pykota/trunk/pykota/progressbar.py (revision 3434)
+++ pykota/trunk/pykota/progressbar.py (revision 3481)
@@ -3,5 +3,5 @@
 # PyKota : Print Quotas for CUPS
 #
-# (c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pykota/trunk/pykota/pdfutils.py
===================================================================
--- pykota/trunk/pykota/pdfutils.py (revision 3413)
+++ pykota/trunk/pykota/pdfutils.py (revision 3481)
@@ -3,5 +3,5 @@
 # PyKota : Print Quotas for CUPS
 #
-# (c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pykota/trunk/pykota/dumper.py
===================================================================
--- pykota/trunk/pykota/dumper.py (revision 3413)
+++ pykota/trunk/pykota/dumper.py (revision 3481)
@@ -3,5 +3,5 @@
 # PyKota : Print Quotas for CUPS
 #
-# (c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pykota/trunk/pykota/reporters/__init__.py
===================================================================
--- pykota/trunk/pykota/reporters/__init__.py (revision 3413)
+++ pykota/trunk/pykota/reporters/__init__.py (revision 3481)
@@ -3,5 +3,5 @@
 # PyKota : Print Quotas for CUPS
 #
-# (c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pykota/trunk/pykota/reporters/html.py
===================================================================
--- pykota/trunk/pykota/reporters/html.py (revision 3413)
+++ pykota/trunk/pykota/reporters/html.py (revision 3481)
@@ -3,5 +3,5 @@
 # PyKota : Print Quotas for CUPS
 #
-# (c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pykota/trunk/pykota/reporters/text.py
===================================================================
--- pykota/trunk/pykota/reporters/text.py (revision 3413)
+++ pykota/trunk/pykota/reporters/text.py (revision 3481)
@@ -3,5 +3,5 @@
 # PyKota : Print Quotas for CUPS
 #
-# (c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pykota/trunk/pykota/__init__.py
===================================================================
--- pykota/trunk/pykota/__init__.py (revision 3413)
+++ pykota/trunk/pykota/__init__.py (revision 3481)
@@ -3,5 +3,5 @@
 # PyKota : Print Quotas for CUPS
 #
-# (c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pykota/trunk/pykota/storages/mysqlstorage.py
===================================================================
--- pykota/trunk/pykota/storages/mysqlstorage.py (revision 3419)
+++ pykota/trunk/pykota/storages/mysqlstorage.py (revision 3481)
@@ -3,5 +3,5 @@
 # PyKota : Print Quotas for CUPS
 #
-# (c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pykota/trunk/pykota/storages/pgstorage.py
===================================================================
--- pykota/trunk/pykota/storages/pgstorage.py (revision 3419)
+++ pykota/trunk/pykota/storages/pgstorage.py (revision 3481)
@@ -3,5 +3,5 @@
 # PyKota : Print Quotas for CUPS
 #
-# (c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pykota/trunk/pykota/storages/__init__.py
===================================================================
--- pykota/trunk/pykota/storages/__init__.py (revision 3413)
+++ pykota/trunk/pykota/storages/__init__.py (revision 3481)
@@ -3,5 +3,5 @@
 # PyKota : Print Quotas for CUPS
 #
-# (c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pykota/trunk/pykota/storages/sql.py
===================================================================
--- pykota/trunk/pykota/storages/sql.py (revision 3413)
+++ pykota/trunk/pykota/storages/sql.py (revision 3481)
@@ -3,5 +3,5 @@
 # PyKota : Print Quotas for CUPS
 #
-# (c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pykota/trunk/pykota/storages/ldapstorage.py
===================================================================
--- pykota/trunk/pykota/storages/ldapstorage.py (revision 3419)
+++ pykota/trunk/pykota/storages/ldapstorage.py (revision 3481)
@@ -3,5 +3,5 @@
 # PyKota : Print Quotas for CUPS
 #
-# (c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pykota/trunk/pykota/storages/sqlitestorage.py
===================================================================
--- pykota/trunk/pykota/storages/sqlitestorage.py (revision 3419)
+++ pykota/trunk/pykota/storages/sqlitestorage.py (revision 3481)
@@ -3,5 +3,5 @@
 # PyKota : Print Quotas for CUPS
 #
-# (c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pykota/trunk/pykota/utils.py
===================================================================
--- pykota/trunk/pykota/utils.py (revision 3413)
+++ pykota/trunk/pykota/utils.py (revision 3481)
@@ -3,5 +3,5 @@
 # PyKota : Print Quotas for CUPS
 #
-# (c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pykota/trunk/pykota/reporter.py
===================================================================
--- pykota/trunk/pykota/reporter.py (revision 3413)
+++ pykota/trunk/pykota/reporter.py (revision 3481)
@@ -3,5 +3,5 @@
 # PyKota : Print Quotas for CUPS
 #
-# (c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pykota/trunk/pykota/appinit.py
===================================================================
--- pykota/trunk/pykota/appinit.py (revision 3413)
+++ pykota/trunk/pykota/appinit.py (revision 3481)
@@ -3,5 +3,5 @@
 # PyKota : Print Quotas for CUPS
 #
-# (c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pykota/trunk/pykota/storage.py
===================================================================
--- pykota/trunk/pykota/storage.py (revision 3470)
+++ pykota/trunk/pykota/storage.py (revision 3481)
@@ -3,5 +3,5 @@
 # PyKota : Print Quotas for CUPS
 #
-# (c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pykota/trunk/pykota/config.py
===================================================================
--- pykota/trunk/pykota/config.py (revision 3413)
+++ pykota/trunk/pykota/config.py (revision 3481)
@@ -3,5 +3,5 @@
 # PyKota : Print Quotas for CUPS
 #
-# (c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pykota/trunk/pykota/cups.py
===================================================================
--- pykota/trunk/pykota/cups.py (revision 3413)
+++ pykota/trunk/pykota/cups.py (revision 3481)
@@ -3,5 +3,5 @@
 # PyKota : Print Quotas for CUPS
 #
-# (c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pykota/trunk/pykota/loggers/__init__.py
===================================================================
--- pykota/trunk/pykota/loggers/__init__.py (revision 3413)
+++ pykota/trunk/pykota/loggers/__init__.py (revision 3481)
@@ -3,5 +3,5 @@
 # PyKota : Print Quotas for CUPS
 #
-# (c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pykota/trunk/pykota/loggers/stderr.py
===================================================================
--- pykota/trunk/pykota/loggers/stderr.py (revision 3413)
+++ pykota/trunk/pykota/loggers/stderr.py (revision 3481)
@@ -3,5 +3,5 @@
 # PyKota : Print Quotas for CUPS
 #
-# (c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pykota/trunk/pykota/loggers/system.py
===================================================================
--- pykota/trunk/pykota/loggers/system.py (revision 3413)
+++ pykota/trunk/pykota/loggers/system.py (revision 3481)
@@ -3,5 +3,5 @@
 # PyKota : Print Quotas for CUPS
 #
-# (c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pykota/trunk/pykota/errors.py
===================================================================
--- pykota/trunk/pykota/errors.py (revision 3440)
+++ pykota/trunk/pykota/errors.py (revision 3481)
@@ -3,5 +3,5 @@
 # PyKota : Print Quotas for CUPS
 #
-# (c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pykota/trunk/pykota/constants.py
===================================================================
--- pykota/trunk/pykota/constants.py (revision 3413)
+++ pykota/trunk/pykota/constants.py (revision 3481)
@@ -3,5 +3,5 @@
 # PyKota : Print Quotas for CUPS
 #
-# (c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pykota/trunk/pykota/tool.py
===================================================================
--- pykota/trunk/pykota/tool.py (revision 3464)
+++ pykota/trunk/pykota/tool.py (revision 3481)
@@ -3,5 +3,5 @@
 # PyKota : Print Quotas for CUPS
 #
-# (c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pykota/trunk/pykota/logger.py
===================================================================
--- pykota/trunk/pykota/logger.py (revision 3413)
+++ pykota/trunk/pykota/logger.py (revision 3481)
@@ -3,5 +3,5 @@
 # PyKota : Print Quotas for CUPS
 #
-# (c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pykota/trunk/pykota/accounters/software.py
===================================================================
--- pykota/trunk/pykota/accounters/software.py (revision 3413)
+++ pykota/trunk/pykota/accounters/software.py (revision 3481)
@@ -3,5 +3,5 @@
 # PyKota : Print Quotas for CUPS
 #
-# (c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pykota/trunk/pykota/accounters/hardware.py
===================================================================
--- pykota/trunk/pykota/accounters/hardware.py (revision 3413)
+++ pykota/trunk/pykota/accounters/hardware.py (revision 3481)
@@ -3,5 +3,5 @@
 # PyKota : Print Quotas for CUPS
 #
-# (c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pykota/trunk/pykota/accounters/snmp.py
===================================================================
--- pykota/trunk/pykota/accounters/snmp.py (revision 3413)
+++ pykota/trunk/pykota/accounters/snmp.py (revision 3481)
@@ -3,5 +3,5 @@
 # PyKota : Print Quotas for CUPS
 #
-# (c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pykota/trunk/pykota/accounters/__init__.py
===================================================================
--- pykota/trunk/pykota/accounters/__init__.py (revision 3413)
+++ pykota/trunk/pykota/accounters/__init__.py (revision 3481)
@@ -3,5 +3,5 @@
 # PyKota : Print Quotas for CUPS
 #
-# (c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pykota/trunk/pykota/accounters/ink.py
===================================================================
--- pykota/trunk/pykota/accounters/ink.py (revision 3413)
+++ pykota/trunk/pykota/accounters/ink.py (revision 3481)
@@ -3,5 +3,5 @@
 # PyKota : Print Quotas for CUPS
 #
-# (c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pykota/trunk/pykota/accounters/pjl.py
===================================================================
--- pykota/trunk/pykota/accounters/pjl.py (revision 3413)
+++ pykota/trunk/pykota/accounters/pjl.py (revision 3481)
@@ -3,5 +3,5 @@
 # PyKota : Print Quotas for CUPS
 #
-# (c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pykota/trunk/pykota/accounter.py
===================================================================
--- pykota/trunk/pykota/accounter.py (revision 3413)
+++ pykota/trunk/pykota/accounter.py (revision 3481)
@@ -3,5 +3,5 @@
 # PyKota : Print Quotas for CUPS
 #
-# (c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pykota/trunk/pykota/version.py
===================================================================
--- pykota/trunk/pykota/version.py (revision 3426)
+++ pykota/trunk/pykota/version.py (revision 3481)
@@ -3,5 +3,5 @@
 # PyKota : Print Quotas for CUPS
 #
-# (c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -22,5 +22,7 @@
 """This module defines some application level constants."""
 
-__version__ = "1.27alpha6_unofficial"
+import time
+
+__version__ = "1.27alpha7_unofficial"
 
 __doc__ = "PyKota : a complete Printing Quota Solution for CUPS."
@@ -28,5 +30,5 @@
 __author__ = "Jerome Alet - alet@librelogiciel.com"
 
-__years__ = "2003-2008"
+__years__ = "2003-%s" % time.strftime("%Y", time.localtime(time.time()))
 
 __gplblurb__ = """This program is free software: you can redistribute it and/or modify
Index: pykota/trunk/pykota/commandline.py
===================================================================
--- pykota/trunk/pykota/commandline.py (revision 3413)
+++ pykota/trunk/pykota/commandline.py (revision 3481)
@@ -3,5 +3,5 @@
 # PyKota : Print Quotas for CUPS
 #
-# (c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by