Index: pykota/trunk/man/pt/pkusers.1
===================================================================
--- pykota/trunk/man/pt/pkusers.1 (revision 3279)
+++ pykota/trunk/man/pt/pkusers.1 (revision 3485)
@@ -1,167 +1,132 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
-.TH PKUSERS "1" "janvier 2008" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH PKUSERS "1" "janvier 2009" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkusers \- page de manuel de pkusers 1.27alpha3_BROKEN_unofficial
+pkusers \- page de manuel de pkusers (PyKota) 1.27alpha7_unofficial
+.SH SYNOPSIS
+.B pkusers
+[\fIoptions\fR] [\fIusernames|groupnames\fR]
 .SH DESCRIPTION
-pkusers v1.27alpha3_BROKEN_unofficial (c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet \- alet@librelogiciel.com
-.PP
-An Users and Groups Manager for PyKota.
-.PP
-command line usage :
+Manages PyKota users or users groups.
+.SH OPTIONS
+.TP
+\fB\-h\fR, \fB\-\-help\fR
+show this help message and exit.
+.TP
+\fB\-v\fR, \fB\-\-version\fR
+show the version number and exit.
+.TP
+\fB\-A\fR ARGUMENTSFILE, \fB\-\-arguments\fR=\fIARGUMENTSFILE\fR
+loads additional options and arguments from a file,
+one per line.
+.TP
+\fB\-a\fR, \fB\-\-add\fR
+Add new, or modify existing, users or groups.
+.TP
+\fB\-b\fR BALANCE, \fB\-\-balance\fR=\fIBALANCE\fR
+Set an user's account balance. The value can also be
+increased or decreased when the value is prefixed with
+\&'+' or '\-'. Users groups don't have a real account
+balance, instead the sum of their members' account
+balances is used.
+.TP
+\fB\-C\fR COMMENT, \fB\-\-comment\fR=\fICOMMENT\fR
+Associate a textual comment with a change in an user's
+account balance. Only meaningful when \fB\-\-balance\fR is
+also used.
+.TP
+\fB\-d\fR, \fB\-\-delete\fR
+Delete the specified users or groups. Also purge the
+print quota entries and printing history matching the
+specified users or groups.
+.TP
+\fB\-D\fR DESCRIPTION, \fB\-\-description\fR=\fIDESCRIPTION\fR
+Set a textual description for the specified users or
+groups.
+.TP
+\fB\-e\fR EMAIL, \fB\-\-email\fR=\fIEMAIL\fR
+Set an user's email address. If this parameter begins
+with '@' then the username is prepended to this
+parameter to form a valid email address.
+.TP
+\fB\-g\fR, \fB\-\-groups\fR
+Manage users groups instead of users.
+.TP
+\fB\-i\fR INGROUPS, \fB\-\-ingroups\fR=\fIINGROUPS\fR
+Put the specified users into the specified groups.
+When combined with the \fB\-\-remove\fR option, users are
+removed from the specified groups instead.
+.TP
+\fB\-l\fR LIMITBY, \fB\-\-limitby\fR=\fILIMITBY\fR
+Set the limiting factor for the specified users or
+groups. Can be any of 'quota' (limit by number of
+pages per printer), 'balance' (limit by number of
+credits), 'noquota' (no limit but accounting done),
+\&'nochange' (no limit and no accounting), or 'noprint'
+(printing is denied). The two latter ones are not
+supported for groups.
+.TP
+\fB\-L\fR, \fB\-\-list\fR
+Display detailed informations about the specified
+users or groups.
+.TP
+\fB\-o\fR OVERCHARGE, \fB\-\-overcharge\fR=\fIOVERCHARGE\fR
+Set the overcharging factor applied to the specified
+users when computing the cost of a print job. Any
+floating point value can be used, allowing you to
+express your creativity...
+.TP
+\fB\-r\fR, \fB\-\-remove\fR
+When combined with the \fB\-\-ingroups\fR option, remove users
+from the specified users groups.
+.TP
+\fB\-s\fR, \fB\-\-skipexisting\fR
+If \fB\-\-add\fR is used, ensure that existing users or groups
+won't be modified.
+.SS "examples:"
 .IP
-pkusers [options] user1 user2 user3 ... userN
-.PP
-or :
+pkusers \fB\-\-add\fR john paul george ringo/ringo@example.com
+Would make users 'john', 'paul', 'george' and 'ringo' be known to PyKota.
+User 'ringo''s email address would be set to 'ringo@example.com'.
 .IP
-pkusers \fB\-\-groups\fR [options] group1 group2 group3 ... groupN
-.PP
-options :
-.TP
-\fB\-v\fR | \fB\-\-version\fR
-Prints pkusers's version number then exits.
-.TP
-\fB\-h\fR | \fB\-\-help\fR
-Prints this message then exits.
-.TP
-\fB\-a\fR | \fB\-\-add\fR
-Adds users if they don't exist on the database.
-If they exist, they are modified unless
-\fB\-s\fR|\-\-skipexisting is also used.
-.TP
-\fB\-d\fR | \fB\-\-delete\fR
-Deletes users from the quota storage.
-.TP
-\fB\-e\fR | \fB\-\-email\fR addr
-Sets the email address for the users.
-If the addr parameter begins with @, then
-the username is prepended to addr to form
-a valid email address.
-.HP
-\fB\-D\fR | \fB\-\-description\fR d Adds a textual description to users or groups.
-.TP
-\fB\-g\fR | \fB\-\-groups\fR
-Edit users groups instead of users.
-.TP
-\fB\-o\fR | \fB\-\-overcharge\fR f
-Sets the overcharging factor applied to the user
-when computing the cost of a print job. Positive or
-negative floating point values are allowed,
-this allows you to do some really creative
-things like giving money to an user whenever
-he prints. The number of pages in a print job
-is not modified by this coefficient, only the
-cost of the job for a particular user.
-Only users have such a coefficient.
-.TP
-\fB\-i\fR | \fB\-\-ingroups\fR g1[,g2...]
-Puts the users into each of the groups
-listed, separated by commas. The groups
-must already exist in the Quota Storage.
-.TP
-\fB\-L\fR | \fB\-\-list\fR
-Lists users or groups.
-.TP
-\fB\-l\fR | \fB\-\-limitby\fR l
-Choose if the user/group is limited in printing
-by its account balance or by its page quota.
-The default value is 'quota'. Allowed values
-are 'quota' 'balance' 'noquota' 'noprint'
-and 'nochange' :
+pkusers \fB\-\-add\fR \fB\-\-groups\fR coders it
+Would create two users groups named 'coders' and 'it'.
 .IP
-\- quota : limit by number of pages per printer.
-\- balance : limit by number of credits in account.
-\- noquota : no limit, accounting still done.
-\- nochange : no limit, accounting not done.
-\- noprint : printing is denied.
+pkusers \fB\-\-add\fR \fB\-\-ingroups\fR coders,it jerome
+Would add user 'jerome' and put him into the 'coders' and 'it' groups.
+Both groups would have to be existing.
 .IP
-NB : nochange and noprint are not supported for groups.
-.TP
-\fB\-b\fR | \fB\-\-balance\fR b
-Sets the user's account balance to b.
-Account balance may be increase or decreased
-if b is prefixed with + or \-.
-WARNING : when decreasing account balance,
-the total paid so far by the user is decreased
-too.
-Groups don't have a real balance, but the
-sum of their users' account balance.
-.TP
-\fB\-C\fR | \fB\-\-comment\fR txt
-Defines some informational text to be associated
-with a change to an user's account balance.
-Only meaningful if \fB\-b\fR | \fB\-\-balance\fR is also used.
-.TP
-\fB\-r\fR | \fB\-\-remove\fR
-In combination with the \fB\-\-ingroups\fR option above,
-remove users from the specified users groups.
-.TP
-\fB\-s\fR | \fB\-\-skipexisting\fR
-In combination with the \fB\-\-add\fR option above, tells
-pkusers to not modify existing users.
+pkusers \fB\-\-limitby\fR balance \fB\-\-balance\fR 10.0 john
+Would give 10.0 credits to 'john' and make his printing be limited by his
+account balance.
 .IP
-user1 through userN and group1 through groupN can use wildcards
-if the \fB\-\-add\fR option is not set.
-.PP
-examples :
+pkusers \fB\-\-balance\fR +10.0 \fB\-\-comment\fR "He paid with his blood." jerome
+Would add 10.0 credits to 'jerome''s account and register a comment
+associated with his payment.
 .IP
-\f(CW$ pkusers \-\-add john paul george ringo/ringo@example.com\fR
+pkusers \fB\-\-delete\fR "jer*" "rach*"
+Would delete all user accounts whose names begin with either 'jer' or
+\&'rach'.
 .IP
-This will add users john, paul, george and ringo to the quota
-database. User ringo's email address will also be set to
-\&'ringo@example.com'
+pkusers \fB\-\-overcharge\fR \fB\-1\fR.50 theboss
+Would make the boss earn money whenever he prints.
 .IP
-\f(CW$ pkusers \-\-ingroups coders,it jerome\fR
+pkusers \fB\-\-email\fR @example.com
+Would set the email address for each existing user to username@example.com
 .IP
-User jerome is put into the groups "coders" and "it" which must
-already exist in the quota database.
+pkusers \fB\-\-list\fR
+Would list all users.
+.SS "licensing terms:"
 .IP
-\f(CW$ pkusers \-\-limitby balance jerome\fR
+(c) 2003\-2009 Jerome Alet \- alet@librelogiciel.com
+This program is free software: you can redistribute it and/or modify it
+under the terms of the GNU General Public License as published by the Free
+Software Foundation, either version 3 of the License, or (at your option)
+any later version.
 .IP
-This will tell PyKota to limit jerome by his account's balance
-when printing.
+This program is distributed in the hope that it will be useful, but
+WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
+or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
+for more details.
 .IP
-\f(CW$ pkusers \-\-balance +10.0 \-\-comment "He paid with his blood !" jerome\fR
-.IP
-This will increase jerome's account balance by 10.0 (in your
-own currency). You can decrease the account balance with a
-dash prefix, and set it to a fixed amount with no prefix.
-A comment will be stored for this balance change.
-.IP
-\f(CW$ pkusers \-\-delete jerome rachel\fR
-.IP
-This will completely delete jerome and rachel from the quota
-database. All their quotas and jobs will be deleted too.
-.IP
-\f(CW$ pkusers \-\-overcharge 2.5 poorstudent\fR
-.IP
-This will overcharge the poorstudent user by a factor of 2.5.
-.IP
-\f(CW$ pkusers \-\-overcharge -1 jerome\fR
-.IP
-User jerome will actually earn money whenever he prints.
-.IP
-\f(CW$ pkusers \-\-overcharge 0 boss\fR
-.IP
-User boss can print at will, it won't cost him anything because the
-cost of each print job will be multiplied by zero before charging
-his account.
-.IP
-\f(CW$ pkusers \-\-email @example.com\fR
-.IP
-This will set the email address for each user to username@example.com
-.PP
-(c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
-This program is free software: you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
-the Free Software Foundation, either version 3 of the License, or
-(at your option) any later version.
-.PP
-This program is distributed in the hope that it will be useful,
-but WITHOUT ANY WARRANTY; without even the implied warranty of
-MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
-.PP
-You should have received a copy of the GNU General Public License
-along with this program.  If not, see <http://www.gnu.org/licenses/>.
-.PP
-Please report bugs to : Jerome Alet \- alet@librelogiciel.com
+You should have received a copy of the GNU General Public License along
+with this program.  If not, see <http://www.gnu.org/licenses/>.