Index: /pykota/trunk/tests/filldb.py
===================================================================
--- /pykota/trunk/tests/filldb.py (revision 3481)
+++ /pykota/trunk/tests/filldb.py (revision 3489)
@@ -1,4 +1,4 @@
 #! /usr/bin/env python
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS
Index: /pykota/trunk/pykota/progressbar.py
===================================================================
--- /pykota/trunk/pykota/progressbar.py (revision 3481)
+++ /pykota/trunk/pykota/progressbar.py (revision 3489)
@@ -1,3 +1,3 @@
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS
Index: /pykota/trunk/pykota/pdfutils.py
===================================================================
--- /pykota/trunk/pykota/pdfutils.py (revision 3481)
+++ /pykota/trunk/pykota/pdfutils.py (revision 3489)
@@ -1,3 +1,3 @@
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS
Index: /pykota/trunk/pykota/dumper.py
===================================================================
--- /pykota/trunk/pykota/dumper.py (revision 3481)
+++ /pykota/trunk/pykota/dumper.py (revision 3489)
@@ -1,3 +1,3 @@
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS
Index: /pykota/trunk/pykota/reporters/__init__.py
===================================================================
--- /pykota/trunk/pykota/reporters/__init__.py (revision 3481)
+++ /pykota/trunk/pykota/reporters/__init__.py (revision 3489)
@@ -1,3 +1,3 @@
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS
Index: /pykota/trunk/pykota/reporters/html.py
===================================================================
--- /pykota/trunk/pykota/reporters/html.py (revision 3481)
+++ /pykota/trunk/pykota/reporters/html.py (revision 3489)
@@ -1,3 +1,3 @@
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS
Index: /pykota/trunk/pykota/reporters/text.py
===================================================================
--- /pykota/trunk/pykota/reporters/text.py (revision 3481)
+++ /pykota/trunk/pykota/reporters/text.py (revision 3489)
@@ -1,3 +1,3 @@
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS
Index: /pykota/trunk/pykota/__init__.py
===================================================================
--- /pykota/trunk/pykota/__init__.py (revision 3481)
+++ /pykota/trunk/pykota/__init__.py (revision 3489)
@@ -1,3 +1,3 @@
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS
Index: /pykota/trunk/pykota/storages/mysqlstorage.py
===================================================================
--- /pykota/trunk/pykota/storages/mysqlstorage.py (revision 3481)
+++ /pykota/trunk/pykota/storages/mysqlstorage.py (revision 3489)
@@ -1,3 +1,3 @@
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS
Index: /pykota/trunk/pykota/storages/pgstorage.py
===================================================================
--- /pykota/trunk/pykota/storages/pgstorage.py (revision 3481)
+++ /pykota/trunk/pykota/storages/pgstorage.py (revision 3489)
@@ -1,3 +1,3 @@
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS
Index: /pykota/trunk/pykota/storages/__init__.py
===================================================================
--- /pykota/trunk/pykota/storages/__init__.py (revision 3481)
+++ /pykota/trunk/pykota/storages/__init__.py (revision 3489)
@@ -1,3 +1,3 @@
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS
Index: /pykota/trunk/pykota/storages/sql.py
===================================================================
--- /pykota/trunk/pykota/storages/sql.py (revision 3481)
+++ /pykota/trunk/pykota/storages/sql.py (revision 3489)
@@ -1,3 +1,3 @@
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS
Index: /pykota/trunk/pykota/storages/ldapstorage.py
===================================================================
--- /pykota/trunk/pykota/storages/ldapstorage.py (revision 3481)
+++ /pykota/trunk/pykota/storages/ldapstorage.py (revision 3489)
@@ -1,3 +1,3 @@
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS
Index: /pykota/trunk/pykota/storages/sqlitestorage.py
===================================================================
--- /pykota/trunk/pykota/storages/sqlitestorage.py (revision 3481)
+++ /pykota/trunk/pykota/storages/sqlitestorage.py (revision 3489)
@@ -1,3 +1,3 @@
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS
Index: /pykota/trunk/pykota/utils.py
===================================================================
--- /pykota/trunk/pykota/utils.py (revision 3481)
+++ /pykota/trunk/pykota/utils.py (revision 3489)
@@ -1,3 +1,3 @@
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS
Index: /pykota/trunk/pykota/reporter.py
===================================================================
--- /pykota/trunk/pykota/reporter.py (revision 3481)
+++ /pykota/trunk/pykota/reporter.py (revision 3489)
@@ -1,3 +1,3 @@
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS
Index: /pykota/trunk/pykota/appinit.py
===================================================================
--- /pykota/trunk/pykota/appinit.py (revision 3481)
+++ /pykota/trunk/pykota/appinit.py (revision 3489)
@@ -1,3 +1,3 @@
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS
Index: /pykota/trunk/pykota/storage.py
===================================================================
--- /pykota/trunk/pykota/storage.py (revision 3481)
+++ /pykota/trunk/pykota/storage.py (revision 3489)
@@ -1,3 +1,3 @@
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS
Index: /pykota/trunk/pykota/config.py
===================================================================
--- /pykota/trunk/pykota/config.py (revision 3481)
+++ /pykota/trunk/pykota/config.py (revision 3489)
@@ -1,3 +1,3 @@
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS
Index: /pykota/trunk/pykota/cups.py
===================================================================
--- /pykota/trunk/pykota/cups.py (revision 3481)
+++ /pykota/trunk/pykota/cups.py (revision 3489)
@@ -1,3 +1,3 @@
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS
Index: /pykota/trunk/pykota/loggers/__init__.py
===================================================================
--- /pykota/trunk/pykota/loggers/__init__.py (revision 3481)
+++ /pykota/trunk/pykota/loggers/__init__.py (revision 3489)
@@ -1,3 +1,3 @@
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS
Index: /pykota/trunk/pykota/loggers/stderr.py
===================================================================
--- /pykota/trunk/pykota/loggers/stderr.py (revision 3481)
+++ /pykota/trunk/pykota/loggers/stderr.py (revision 3489)
@@ -1,3 +1,3 @@
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS
Index: /pykota/trunk/pykota/loggers/system.py
===================================================================
--- /pykota/trunk/pykota/loggers/system.py (revision 3481)
+++ /pykota/trunk/pykota/loggers/system.py (revision 3489)
@@ -1,3 +1,3 @@
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS
Index: /pykota/trunk/pykota/errors.py
===================================================================
--- /pykota/trunk/pykota/errors.py (revision 3481)
+++ /pykota/trunk/pykota/errors.py (revision 3489)
@@ -1,3 +1,3 @@
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS
Index: /pykota/trunk/pykota/constants.py
===================================================================
--- /pykota/trunk/pykota/constants.py (revision 3481)
+++ /pykota/trunk/pykota/constants.py (revision 3489)
@@ -1,3 +1,3 @@
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS
Index: /pykota/trunk/pykota/tool.py
===================================================================
--- /pykota/trunk/pykota/tool.py (revision 3481)
+++ /pykota/trunk/pykota/tool.py (revision 3489)
@@ -1,3 +1,3 @@
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS
Index: /pykota/trunk/pykota/logger.py
===================================================================
--- /pykota/trunk/pykota/logger.py (revision 3481)
+++ /pykota/trunk/pykota/logger.py (revision 3489)
@@ -1,3 +1,3 @@
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS
Index: /pykota/trunk/pykota/accounters/software.py
===================================================================
--- /pykota/trunk/pykota/accounters/software.py (revision 3481)
+++ /pykota/trunk/pykota/accounters/software.py (revision 3489)
@@ -1,3 +1,3 @@
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS
Index: /pykota/trunk/pykota/accounters/hardware.py
===================================================================
--- /pykota/trunk/pykota/accounters/hardware.py (revision 3481)
+++ /pykota/trunk/pykota/accounters/hardware.py (revision 3489)
@@ -1,3 +1,3 @@
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS
Index: /pykota/trunk/pykota/accounters/snmp.py
===================================================================
--- /pykota/trunk/pykota/accounters/snmp.py (revision 3481)
+++ /pykota/trunk/pykota/accounters/snmp.py (revision 3489)
@@ -1,3 +1,3 @@
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS
Index: /pykota/trunk/pykota/accounters/__init__.py
===================================================================
--- /pykota/trunk/pykota/accounters/__init__.py (revision 3481)
+++ /pykota/trunk/pykota/accounters/__init__.py (revision 3489)
@@ -1,3 +1,3 @@
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS
Index: /pykota/trunk/pykota/accounters/ink.py
===================================================================
--- /pykota/trunk/pykota/accounters/ink.py (revision 3481)
+++ /pykota/trunk/pykota/accounters/ink.py (revision 3489)
@@ -1,3 +1,3 @@
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS
Index: /pykota/trunk/pykota/accounters/pjl.py
===================================================================
--- /pykota/trunk/pykota/accounters/pjl.py (revision 3481)
+++ /pykota/trunk/pykota/accounters/pjl.py (revision 3489)
@@ -1,3 +1,3 @@
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS
Index: /pykota/trunk/pykota/accounter.py
===================================================================
--- /pykota/trunk/pykota/accounter.py (revision 3481)
+++ /pykota/trunk/pykota/accounter.py (revision 3489)
@@ -1,3 +1,3 @@
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS
Index: /pykota/trunk/pykota/version.py
===================================================================
--- /pykota/trunk/pykota/version.py (revision 3481)
+++ /pykota/trunk/pykota/version.py (revision 3489)
@@ -1,3 +1,3 @@
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS
Index: /pykota/trunk/pykota/commandline.py
===================================================================
--- /pykota/trunk/pykota/commandline.py (revision 3481)
+++ /pykota/trunk/pykota/commandline.py (revision 3489)
@@ -1,3 +1,3 @@
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS
Index: /pykota/trunk/cgi-bin/printquota.cgi
===================================================================
--- /pykota/trunk/cgi-bin/printquota.cgi (revision 3481)
+++ /pykota/trunk/cgi-bin/printquota.cgi (revision 3489)
@@ -1,4 +1,4 @@
 #! /usr/bin/python
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 
 # PyKota Print Quota Reports generator
Index: /pykota/trunk/cgi-bin/pykotme.cgi
===================================================================
--- /pykota/trunk/cgi-bin/pykotme.cgi (revision 3481)
+++ /pykota/trunk/cgi-bin/pykotme.cgi (revision 3489)
@@ -1,4 +1,4 @@
 #! /usr/bin/python
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 
 # PyKota Print Quotes generator
Index: /pykota/trunk/cgi-bin/dumpykota.cgi
===================================================================
--- /pykota/trunk/cgi-bin/dumpykota.cgi (revision 3481)
+++ /pykota/trunk/cgi-bin/dumpykota.cgi (revision 3489)
@@ -1,4 +1,4 @@
 #! /usr/bin/python
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 
 # PyKota Print Quota Reports generator
Index: /pykota/trunk/bin/edpykota
===================================================================
--- /pykota/trunk/bin/edpykota (revision 3481)
+++ /pykota/trunk/bin/edpykota (revision 3489)
@@ -1,4 +1,4 @@
 #! /usr/bin/env python
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS
Index: /pykota/trunk/bin/pkinvoice
===================================================================
--- /pykota/trunk/bin/pkinvoice (revision 3481)
+++ /pykota/trunk/bin/pkinvoice (revision 3489)
@@ -1,4 +1,4 @@
 #! /usr/bin/env python
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS
Index: /pykota/trunk/bin/pykotme
===================================================================
--- /pykota/trunk/bin/pykotme (revision 3481)
+++ /pykota/trunk/bin/pykotme (revision 3489)
@@ -1,4 +1,4 @@
 #! /usr/bin/env python
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS
Index: /pykota/trunk/bin/pkbcodes
===================================================================
--- /pykota/trunk/bin/pkbcodes (revision 3481)
+++ /pykota/trunk/bin/pkbcodes (revision 3489)
@@ -1,4 +1,4 @@
 #! /usr/bin/env python
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS
Index: /pykota/trunk/bin/pksetup
===================================================================
--- /pykota/trunk/bin/pksetup (revision 3481)
+++ /pykota/trunk/bin/pksetup (revision 3489)
@@ -1,4 +1,4 @@
 #! /usr/bin/env python
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS
Index: /pykota/trunk/bin/pkusers
===================================================================
--- /pykota/trunk/bin/pkusers (revision 3481)
+++ /pykota/trunk/bin/pkusers (revision 3489)
@@ -1,4 +1,4 @@
 #! /usr/bin/env python
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS
Index: /pykota/trunk/bin/pkturnkey
===================================================================
--- /pykota/trunk/bin/pkturnkey (revision 3481)
+++ /pykota/trunk/bin/pkturnkey (revision 3489)
@@ -1,4 +1,4 @@
 #! /usr/bin/env python
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS
Index: /pykota/trunk/bin/repykota
===================================================================
--- /pykota/trunk/bin/repykota (revision 3481)
+++ /pykota/trunk/bin/repykota (revision 3489)
@@ -1,4 +1,4 @@
 #! /usr/bin/env python
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS
Index: /pykota/trunk/bin/warnpykota
===================================================================
--- /pykota/trunk/bin/warnpykota (revision 3481)
+++ /pykota/trunk/bin/warnpykota (revision 3489)
@@ -1,4 +1,4 @@
 #! /usr/bin/env python
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS
Index: /pykota/trunk/bin/pkbanner
===================================================================
--- /pykota/trunk/bin/pkbanner (revision 3481)
+++ /pykota/trunk/bin/pkbanner (revision 3489)
@@ -1,4 +1,4 @@
 #! /usr/bin/env python
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS
Index: /pykota/trunk/bin/autopykota
===================================================================
--- /pykota/trunk/bin/autopykota (revision 3481)
+++ /pykota/trunk/bin/autopykota (revision 3489)
@@ -1,4 +1,4 @@
 #! /usr/bin/env python
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS
Index: /pykota/trunk/bin/pkprinters
===================================================================
--- /pykota/trunk/bin/pkprinters (revision 3481)
+++ /pykota/trunk/bin/pkprinters (revision 3489)
@@ -1,4 +1,4 @@
 #! /usr/bin/env python
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS
Index: /pykota/trunk/bin/cupspykota
===================================================================
--- /pykota/trunk/bin/cupspykota (revision 3481)
+++ /pykota/trunk/bin/cupspykota (revision 3489)
@@ -1,4 +1,4 @@
 #! /usr/bin/env python
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS
Index: /pykota/trunk/bin/pknotify
===================================================================
--- /pykota/trunk/bin/pknotify (revision 3481)
+++ /pykota/trunk/bin/pknotify (revision 3489)
@@ -1,4 +1,4 @@
 #! /usr/bin/env python
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS
Index: /pykota/trunk/bin/pykosd
===================================================================
--- /pykota/trunk/bin/pykosd (revision 3481)
+++ /pykota/trunk/bin/pykosd (revision 3489)
@@ -1,4 +1,4 @@
 #! /usr/bin/env python
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS
Index: /pykota/trunk/bin/dumpykota
===================================================================
--- /pykota/trunk/bin/dumpykota (revision 3481)
+++ /pykota/trunk/bin/dumpykota (revision 3489)
@@ -1,4 +1,4 @@
 #! /usr/bin/env python
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS
Index: /pykota/trunk/bin/pkrefund
===================================================================
--- /pykota/trunk/bin/pkrefund (revision 3481)
+++ /pykota/trunk/bin/pkrefund (revision 3489)
@@ -1,4 +1,4 @@
 #! /usr/bin/env python
-# -*- coding: utf-8 -*-*-
+# -*- coding: utf-8 -*-
 #
 # PyKota : Print Quotas for CUPS